#!/bin/bash
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


# build_monolinguals_cds.sh generates a cdrom per language on ../release folder

set -v
set -x

# Quick
## Create all the languages
## Delete everyone with lang_module except the one selected
## Create iso from test_fs

# Not So Quick but more neat
## Create only the selected language by playing with sdg_module file.
## Create tar from test_fs
## Run the command:



build_the_cdrom () {


IMAGE_NAME="$MAGIC_TARGET_FOLDER""/""$1"".iso"

./build_cdrom_iso.sh "${IMAGE_NAME}" 

}
#********************
#MAIN PROGRAM
#**************************#

# I will maybe put these variables to sgrub_configure.sh file.

# We want floppies in all languages
source ./util/all_languages.sh


source ./sgrub_configure.sh
SDG_MODULE_ID="sdg_module"
SDG_LANG_ID="lang_module"
MAGIC_TARGET_FOLDER="../release"

# Check sudoers permissions

# Let's do one lang per lang.

for DIR2 in *
do
  # We want only the folders.
  if [ -d "$DIR2" ] && [ -e "$DIR2"/"${SDG_LANG_ID}" ] ; then
  
  for DIR in *
  do
  # We want only the folders 
	  if [ -d "$DIR" ] && [ -e "$DIR"/"${SDG_LANG_ID}" ] ; then
  # We want to process only folders with sdg_module on them
		        if [[ "$DIR" == "$DIR2" ]] ; then # The lang folder selected
			  if [ ! -e "$DIR"/"${SDG_MODULE_ID}" ] ; then # No module found... we create it.
			    cp "$DIR"/"${SDG_LANG_ID}" "$DIR"/"${SDG_MODULE_ID}" ;
			  fi
		        else # This is not the lang folder we want to make.
			  if [ -e "$DIR"/"${SDG_MODULE_ID}" ] ; then # If there's a module file... let's delete it.
			     rm "$DIR"/"${SDG_MODULE_ID}"
			  fi
			fi
	  fi
  done
build_the_cdrom "$DIR2"
  fi
done

# We want only one language for developing
source ./util/only_english.sh

